#!/bin/bash

echo "**** Building latest PiFrameFleet container ****"
$(pwd)/piframefleet_build.sh

echo "**** Deleting Original Container ****"
sudo docker rm -f piframefleet

echo "**** Running PiFrameFleet ****"
sudo docker run -it \
    --restart unless-stopped \
    --name piframefleet \
    --cap-add=NET_ADMIN \
    --cap-add=SYS_MODULE \
    -e TZ=UTC \
    -e CONFIG_NOTIFY_EMAIL=user@domain.tld \
    -e CONFIG_NOTIFY_SMTP_SERVER=email.domain.tld \
    -e CONFIG_NOTIFY_SMTP_USER=user@domain.tld \
    -e CONFIG_NOTIFY_SMTP_PASS=apassword \
    -e CONFIG_RTTY_USER=admin \
    -e CONFIG_RTTY_PASS=apassword \
    -e CONFIG_MONIT_USER=admin \
    -e CONFIG_MONIT_PASS=apassword \
    -p 9080:80/tcp \
    -p 9445:443/tcp \
    -p 51821:51821/udp \
    -p 8384:8384/tcp \
    -p 22000:22000/tcp \
    -p 9191:9191/tcp \
    -p 2812:2812/tcp \
    -p 2811:2811/tcp \
    -p 2813:2813/tcp \
    -p 5912:5912/tcp \
    -p 5913:5913/tcp \
    -v /lib/modules:/lib/modules:ro \
    -v /var/piframefleet/pictures:/opt/pictures \
    -v /var/piframefleet/misc:/opt/misc \
    -v /var/piframefleet/ansible:/opt/ansible \
    -v /var/piframefleet/rtty:/opt/rtty \
    -v /var/piframefleet/monit:/opt/monit \
    -v /var/piframefleet/monit-dashboard:/opt/monit-dashboard \
    -v /var/piframefleet/wireguard:/opt/wireguard \
    -v /var/piframefleet/syncthing:/opt/syncthing \
    -v /var/piframefleet/filebrowser:/opt/filebrowser \
    -v /var/piframefleet/munin:/opt/munin \
    -v /var/piframefleet/dashboard:/opt/dashboard \
    piframe/piframefleet:latest
